
Automated Build Generator - Tasks #1672
Make a build job on ci.cor-lab for the job generator
12/03/2013 05:13 PM - J. Moringen

Status: Resolved Start date: 12/03/2013
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Deployment Estimated time: 0.00 hour
Target version: 0.2
Description

    -  Don't forget to remove the dummy job when this is done.
    -  Notify Johannes

Associated revisions
Revision 522e8054 - 01/30/2014 09:09 PM - J. Moringen

Added jenkins.api project in lib/jenkins.api

refs #1672

    -  lib/jenkins.api: new directory; unversioned copy of the jenkins.api
  project

Revision e6474d13 - 01/31/2014 05:12 PM - J. Moringen

Write binary file with predictable name in CMakeLists.txt

refs #1672

    -  CMakeLists.txt: changed name of binary tool -> build-generator; move
  output of program-op to requested binary file name

Revision 1ddf112d - 01/31/2014 05:56 PM - J. Moringen

Backport: Write binary file with predictable name in CMakeLists.txt

refs #1672

    -  CMakeLists.txt: changed name of binary tool -> build-generator; move
  output of program-op to requested binary file name

History
#1 - 12/03/2013 05:16 PM - J. Moringen
- Target version set to 0.2

#2 - 12/03/2013 05:37 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 20
https://ci.cor-lab.org/job/build-generator-trunk/

#3 - 01/30/2014 02:45 PM - J. Wienke

Any progress on this? A new build would be very nice.

#4 - 01/30/2014 04:14 PM - J. Moringen

Not yet. I wanted to start this week, after the RSB release, but other things keep getting in the way.

I will try again today and tomorrow.

#5 - 01/30/2014 07:38 PM - J. Moringen
- % Done changed from 20 to 50

#6 - 01/30/2014 09:36 PM - J. Moringen
- % Done changed from 50 to 70

#7 - 01/31/2014 03:15 PM - J. Moringen
- % Done changed from 70 to 90

Initial successful build.

#8 - 01/31/2014 03:17 PM - J. Moringen
- Assignee changed from J. Moringen to J. Wienke

Artifact is available at https://ci.cor-lab.org/job/build-generator-trunk/label=LABEL/lastSuccessfulBuild/artifact/build/build-generator
When done, please delete dummy job at https://ci.cor-lab.org/job/job-configurator-master/.

#9 - 01/31/2014 06:02 PM - J. Moringen

It is probably better to use this job:
https://ci.cor-lab.org/job/build-generator-0.1/
instead of the trunk job.

#10 - 02/03/2014 05:42 PM - J. Wienke

I have migrated the installer script to the new location. However, there seem to be some compatibility issues with the existing project and distribution
files.

#11 - 02/26/2014 07:23 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100
